<?
require_once('conf/connection.php');
 
 $numero = $_GET["numero"];
 
 $ventana = $_GET["ventana"];
 
 $patron = $_GET["patron"];
 
 $buscar_r = $_GET["buscar_r"];

 $mesa = $_GET["mesa"];
 
 $grupos = $_GET["grupos"];
 
 if($grupos==""){ $grupos=2;}else{}
 
date_default_timezone_set("America/Santiago" ) ; 
//date_default_timezone_set("America/Argentina/Mendoza" ) ; 
// $hora = date('h:i a',time() - 3600*date('I'));
$hora = date('h:i a'); 
$fecha= date('Y-m-d');

$up_mesa="UPDATE mesa SET est_mesa='2' WHERE num_mesa='$mesa' ";    
mysql_query($up_mesa, $conn) or die("Error en el query: ".mysql_error());

$query_suma="SELECT  SUM(valor_total) AS total_venta  FROM detalles_pedido WHERE numero='$numero'";
$rs_query_suma=mysql_query($query_suma);
$total_venta=mysql_result($rs_query_suma,0,"total_venta");
// NOMBRE MESA
$query_mesa="SELECT * FROM mesa WHERE num_mesa='$mesa'";
$rs_query_mesa=mysql_query($query_mesa);
$nom_mesa=mysql_result($rs_query_mesa,0,"nombre_mesa");
//fin mesas

 
$comprobar="select * from pedido where idpedido='$numero'";
 $r_ide=mysql_query($comprobar,$conn) or die("Error en el query: ".mysql_error());
 $nr_ide=mysql_num_rows($r_ide);
 

if($nr_ide=="" or $nr_ide==0)
{
	    $up_pedido="insert into pedido (idpedido, total_venta, fecha, hora, idmesa) 
		values ('$numero', '0','$fecha','$hora','$mesa')";    
		mysql_query($up_pedido, $conn) or die("Error en el query: ".mysql_error());	
		
		
}else{  
  ?> 
     <script>
    
     </script> 
  <?
	}
  ?>
<!DOCTYPE html>

<html dir="ltr" lang="en-US"><head><!-- Created by Artisteer v4.3.0.60745 -->
    
    <meta charset="utf-8">
    <title>SELECCION DE MESAS</title>
    <meta name="viewport" content="initial-scale = 1.0, maximum-scale = 1.0, user-scalable = no, width = device-width">

    <!--[if lt IE 9]><script src="https://html5shiv.googlecode.com/svn/trunk/html5.js"></script><![endif]-->
    <link rel="stylesheet" href="style.css" media="screen">
    <!--[if lte IE 7]><link rel="stylesheet" href="style.ie7.css" media="screen" /><![endif]-->
    <link rel="stylesheet" href="style.responsive.css" media="all">


    <script src="jquery.js"></script>
    <script src="script.js"></script>
    <script src="script.responsive.js"></script>



<style>
.art-content .art-postcontent-0 .layout-item-0 { margin-bottom: 10px;  }
.art-content .art-postcontent-0 .layout-item-1 { border-right-style:solid;border-right-width:1px;border-right-color:#C4C6BD; padding-right: 10px;padding-left: 10px;  }
.ie7 .art-post .art-layout-cell {border:none !important; padding:0 !important; }
.ie6 .art-post .art-layout-cell {border:none !important; padding:0 !important; }

.table { border:2px black solid;
 border-radius:10px;
 min-width:300px;
 min-height:300px;
 font-family: Helvetica,Arial;
}
</style>
<script>
function nobackbutton(){
	
   window.location.hash="no-back-button";
	
   window.location.hash="Again-No-back-button" //chrome
	
   window.onhashchange=function(){window.location.hash="no-back-button";}
	
}   
  </script>
<script>
 var miPopup
		function menu(mesa){

			window.location.href = "pedido.php?mesa=" + mesa + "&numero=<? echo $num_act ?>&ventana=<? echo $ventana ?>&fecha=<? echo $fecha ?>";
		}
		
		function grupo(idgrupos){
			
			

			window.location.href = "funciones/dia.php?mesa=<? echo $mesa ?>&numero=<? echo $numero ?>&ventana=<? echo $ventana ?>&fecha=<? echo $fecha ?>&idgrupos="+ idgrupos +"";
		}
		
		
		
		function agregar(idplatos){

			window.location.href = "agregar.php?codigo=" + idplatos + "&numero=<? echo $numero ?>&mesa=<? echo $mesa ?>
			&grupos=<? echo $grupos ?>&ventana=<? echo $ventana ?>&fecha=<? echo $fecha ?>";
		}
		function agregar_sn(idplatos){

			window.location.href = "funciones/agre_pro_sn.php?codigo=" + idplatos + "&numero=<? echo $numero ?>&mesa=<? echo $mesa
			 ?>&grupos=<? echo $grupos ?>&ventana=<? echo $ventana ?>&fecha=<? echo $fecha ?>";
		}
		function agr(idplatos){

			window.location.href = "agregado.php?codigo=" + idplatos + "&numero=<? echo $numero ?>&mesa=<? echo $mesa ?>
			&grupos=<? echo $grupos ?>&ventana=<? echo $ventana ?>&fecha=<? echo $fecha ?>";
		}
		
		function eliminar(iddetalles_pedido){

			window.location.href = "funciones/eliminar.php?codigo=" + iddetalles_pedido + "&numero=<? echo $numero ?>&mesa=<? echo $mesa ?>
			&grupos=<? echo $grupos ?>&ventana=<? echo $ventana ?>&fecha=<? echo $fecha ?>";
		}
		
		function eliminar2(idplatos){

			window.location.href = "funciones/eliminar2.php?codigo=" + idplatos + "&numero=<? echo $numero ?>&mesa=<? echo $mesa ?>
			&grupos=<? echo $grupos ?>&ventana=<? echo $ventana ?>&fecha=<? echo $fecha ?>";
		}
		
		function pre(){
			
			
				
				 if(document.getElementById('f_pagos_uno').checked)
				 { 
				 
				   var f_pagos=document.getElementById("f_pagos_uno").value;
				 
				 }
				 
				 if(document.getElementById('f_pagos_dos').checked)
				 { 
				   
				     var f_pagos=document.getElementById("f_pagos_dos").value;
				 
				 }
				  if(document.getElementById('f_pagos_tres').checked)
				 { 
				   
				     var f_pagos=document.getElementById("f_pagos_tres").value;
				 
				 }
				 
				 
				
			window.location.href = "imprimir/imprimir.php?idpedido=<? echo $numero ?>&ventana=<? echo $ventana ?>&fecha=<? echo $fecha ?>&cliente=<? echo $cliente ?>&direccion=<? echo $direccion ?>&f_pagos="+ f_pagos +"";
		}
		function cambio(){

			window.location.href = "funciones/cambio_mesa.php?mesa=<? echo $mesa ?>&numero=<? echo $numero ?>&ventana=<? echo $ventana ?>&fecha=<? echo $fecha ?>";
		}
		function add_mesa(){

			window.location.href = "add_m.php?mesa=<? echo $mesa ?>&numero=<? echo $numero ?>&ventana=<? echo $ventana ?>&fecha=<? echo $fecha ?>";
		}
		function cuenta(){

			window.location.href = "cto_cliente.php?mesa=<? echo $mesa ?>&numero=<? echo $numero ?>&ventana=<? echo $ventana ?>&fecha=<? echo $fecha ?>";
		}
		
		function final(){

			window.location.href = "funciones/agre_reg_fn.php?mesa=<? echo $mesa ?>&numero=<? echo $numero ?>&ventana=<? echo $ventana ?>&fecha=<? echo $fecha ?>";
		}
		function anular(){

			window.location.href = "funciones/anular.php?mesa=<? echo $mesa ?>&numero=<? echo $numero ?>&ventana=<? echo $ventana ?>&fecha=<? echo $fecha ?>";
		}
		
</script>


</head>
<body onload="nobackbutton();">
<div id="art-main">
    <div class="art-sheet clearfix">
<nav class="art-nav">
    <ul class="art-hmenu">
      <li><a><font size="+1" color="#FF0000">Fecha: <? echo $fecha ?></font></a></li>
        <li><a><font size="+1" color="#FF0000">Hrs: <? echo $hora ?></font></a></li>
    <li><a><? echo  $nom_mesa;?></a></li>
    <li><a>PEDIDO:<? echo  $numero;?></a></li>
   
    </ul> 
    </nav>
<div class="art-layout-wrapper">
                <div class="art-content-layout">
                    <div class="art-content-layout-row">
                      <div class="art-layout-cell art-content"><article class="art-post art-article">
                                
                                                
                                <div class="art-postcontent art-postcontent-0 clearfix"><div class="art-content-layout-wrapper layout-item-0">
<div class="art-content-layout">
    <div class="art-content-layout-row">
    <div class="art-layout-cell layout-item-1" style="width: 100%" >
        <table border="0">
  <tr>
    <td width="294" rowspan="2"><center></center>
    <div style="height:300px; width:100%;  overflow: auto;">
      <?

	
        $buscar='select *, SUM(cantidad) as cant, SUM(valor_total) as valor
		from detalles_pedido where numero like \'%'.$numero.'%\' group by grupo, idplatos  ';
		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{
			?>
      <table  width="254" border="0">
        <tr bgcolor="#69BFE0" >
          <td bgcolor="#FFFFFF"><strong>Productos</strong></td>
          <td width="57" bgcolor="#FFFFFF"><strong>Cantidad</strong></td>
          <td width="49" bgcolor="#FFFFFF"><strong>Total </strong></td>
          </tr>
        <tr bgcolor="#69BFE0" >
          <td colspan="3" bgcolor="#FFFFFF"><hr></td>
          </tr>
        <?
				while($row=mysql_fetch_assoc($r))
				{ //Procesamos cada registro como una fila de tabla
					?>
        <tr>
          <?
					//$row["nomCampo"] estos nomCampo son los campos devueltos por el
					//query en la variable $r que procesa mysql_fetch_assoc
					?> 
          <td>
            <? $plato=$row["idplatos"];
					 $query="SELECT *  FROM platos WHERE idplatos='$plato'";
 					 $rs_query=mysql_query($query);
					 $nombre=mysql_result($rs_query,0,"descrip_plato");
					 $idgrupos=mysql_result($rs_query,0,"idgrupos");
                     echo $nombre; 
					 
					  ?>
            <? if($idgrupos==4 or $idgrupos==6 or $idgrupos==7 or $idgrupos==8 or $idgrupos==9 or $idgrupos==10 or $idgrupos==11 or $idgrupos==13  )
		  {
		  ?><br> <img src="images/delete.png" alt="Eliminar" width="24" 
          onClick="eliminar2('<? echo $row["idplatos"] ?>')"
         height="21" >
            <? 
		   $query_obs1="SELECT *  FROM detalles_pedido WHERE idplatos='$plato' and numero='$numero'";
 		   $rs_query_obs1=mysql_query($query_obs1);
		   while($row1=mysql_fetch_assoc($rs_query_obs1))
				{  ?> <br> <?
		  $obs1=$row1["obs"]; echo $obs1;
				}}
		  else{
		   $query_obs="SELECT *  FROM detalles_pedido WHERE idplatos='$plato' and numero='$numero'";
 		   $rs_query_obs=mysql_query($query_obs);
		   while($rows=mysql_fetch_assoc($rs_query_obs))
				{ 
		 
		 ?>
            <br>
            - <img src="images/delete.png" alt="Eliminar" width="24" onClick="eliminar('<? echo $rows["iddetalles_pedido"] ?>')"
         height="21" ><em>
              <? 
		  $obs=$rows["obs"]; if($obs==""){ echo " * ";  }else{
		  echo $obs;}}} ?>
              </em></td>
          <td align="right">
            <form action="funciones/insertar.php" name="insertar" id="insertar" method="post">
              <input name="idgrupos" type="hidden" id="idgrupos" value="<? echo $idgrupos ?>" size="3"/>
              <input name="ventana" type="hidden" id="ventana" value="<? echo $ventana; ?>" size="3"/>
              <input name="numero" type="hidden" id="numero" value="<? echo $numero; ?>" size="3"/>
              <input name="mesa" type="hidden" id="mesa" value="<? echo $mesa ?>" size="3"/>
              <input name="codigo" type="hidden" id="codigo" value="<? echo $row["idplatos"] ?>" size="3"/>
              <input name="cantidad" type="text" id="cantidad" value="<? echo $row["cant"] ?>" size="3"/>
              <input name="sto" type="hidden" id="sto" value="<? echo $row["cant"] ?>" size="3"/>
              <input type="submit"  id="enviar" name="enviar" value="" 
                     style="background-image:url(images/add.png)" /> 
              </form>
            
            </td>
          <td align="right">$ <? echo $row["valor"] ?></td>
          </tr>
        <? }?>
        <tr>
          <td colspan="3"><hr></td>
          </tr>
        <tr>
          <td colspan="3" align="right">TOTAL A VENTA: <? echo $total_venta;  ?></td>
          </tr>
        <tr>
          <td colspan="3" ><hr></td>
          </tr>
        </table>
      <? } 
			else
			{
				echo "No hubieron coincidencias!";
     
			} ?>
    </div>    </td>
    <td width="744" >
      
      <? $buscar_grupo='select * from grupos ';
		   $rg=mysql_query($buscar_grupo,$conn) or die("Error en el query: ".mysql_error());
		   $ng=mysql_num_rows($rg);
		    //si hay registros los procesamos
			if($ng>0)
			{
              while($row=mysql_fetch_assoc($rg))
				{  ?>
      
      <input type="button" class="art-button_menu" id="dia" name="dia" value="<? echo $row["nombre_grupo"];  ?>"
      style="height:50px; width:150px;" onClick="grupo(<? echo $row["idgrupos"];  ?>)" title="<? echo $row["nombre_grupo"];  ?>">
               <? }
             } else
			   {
				echo "No hubieron coincidencias!";
     
			   } ?>
    <br><hr> 
    </td>
    </tr>
  <tr>
    <td rowspan="5" >
      <div style="height:450px; width:100%;  overflow: auto;">
        <?
	   
	     if($buscar_r<>1)
		 {
			 $buscar='select * from platos where stock_plato >0 and estado_plato=1 and idgrupos ='.$grupos.'';
			 }
			 else{
				 $buscar='select * from platos where stock_plato >0 and estado_plato=1 and descrip_plato like \'%'.$patron.'%\'  ';
				 
				 }
        
		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{
			?>
        <table  width="707" height="191" border="0">
          <tr bgcolor="#69BFE0" >
            <td width="512" bgcolor="#FFFFFF"><?
			 while($row=mysql_fetch_assoc($r))
				{
			  ?>
              <input type="button" class="art-button" id="enviar2" name="enviar2" value="
			  <? $plato=$row["idplatos"];
					 $query="SELECT * FROM platos WHERE idplatos='$plato'";
 					 $rs_query=mysql_query($query);$nombre=mysql_result($rs_query,0,"descrip_plato");
                      echo $nombre;  ?> $<? echo $row["precio_plato"] ?>"
      style="height:50px; width:150px;" onClick="agregar_sn('<? echo $row["idplatos"] ?>')" title="menu">
              <? }?></td>
            </tr>
          </table>
        <p>
          <? } 
			else
			{
				echo "No hubieron coincidencias!";
     
			} ?>
          </p>
        </div>
      
      
    </td>
  </tr>
  <tr>
    <td>FORMAS DE PAGO </td>
  </tr>
  <tr>
    <td>
    <h4>
          <input name="f_pagos" type="radio" class="art-radiobutton" id="f_pagos_uno" value="1" checked="CHECKED" > Efectivo
          <input type="radio" name="f_pagos" id="f_pagos_dos" value="2" class="art-radiobutton" > 
          Tarjeta <br>
          <input type="radio" name="f_pagos" id="f_pagos_tres" value="3" class="art-radiobutton" > Transferencia
          
   </h4>
    
    </td>
  </tr>
  <tr>
    <td>
    <div id='suma'>
        <table width="214" border="0">
          <tr>
            <td width="60" height="20">PAGA CON: </td>
            <td width="227">
              <div class='input'>
               <input type="text" name="pago" id="pago" 
                autofocus ></div></td>
            </tr>
          <tr>
            <td height="24">CUENTA:</td>
            <td>
              <div class='input'>
                <input type="text" name="efectivo" id="efectivo" value="<? echo $total_venta ?>"
              >
              </div>
            </td>
          </tr>
          <tr>
            <td height="47">VUELTO:<span class="input">
              <input type="hidden" name="descuento" id="descuento">
              </span></td>
            <td>
              <div class='input'><input type="text" name="total" id="total" style="background-color:#999"></div></td>
          </tr>
          <tr>
            <td colspan="2"></td>
          </tr>
          </table>
            </div>
        <script type='text/javascript'>
        // Cada vez que se pulse una tecla, controlamos que sea numerica
        $("#suma input").keypress(function(event) {
            //obtenemos la tecla pulsada
            var valueKey=String.fromCharCode(event.which);
            //obtenemos el valor ascii de la tecla pulsada
            var keycode=event.which;
            
            // Si NO pulsamos un numero, un punto, la tecla suprimir
            // la tecla backspace o el simobolo "-" (45), cancelamos la pulsacion
            if(valueKey.search('[0-9|\.]')!=0 && keycode!=8 && keycode!=46 && keycode!=45)
            {
                // anulamos la pulsacion de la tecla
                return false;
            }
        });
        
        // evento que se ejecuta cada vez que se suelte la tecla en cualquiera de
        // los tres inputs
        $("#suma input").keyup(function(event) {
            calcular();
        });
        
        // Calculamos la suma de los dos valores
        function calcular()
        {
            var valor1=validarNumero('#pago');
            var valor2=validarNumero('#efectivo');
			var valor3=validarNumero('#descuento');
			var valor4=validarNumero('#pedidosya');
			
            
            $("#total").val(valor1-valor2+valor3);
			$("#totaldos").val(valor2+valor4-valor3);
        }
        
        // Funcion para validar que el numero sea correcto, y para cambiar el color
        // del marco en caso de error
        function validarNumero(id)
        {
            if($.isNumeric($(id).val()))
            {
                $(id).css('border-color','#808080');
                return parseFloat($(id).val());
            }else if($(id).val()==""){
                $(id).css('border-color','#808080');
                return 0;
            }else{
                $(id).css('border-color','#f00');
                return 0;
            }
        }
    </script>
    
    </td>
  </tr>
  <tr>
    <td>
<input type="button" class="art-button" id="pre" name="pre" value="Guardar + imp"
      style="height:50px; width:100px;" onClick="pre()" title="Precuenta">
     
      <input type="button" class="art-button" id="liberar" name="liberar" value="Anular Pedido"
      style="height:50px; width:100px;" onClick="anular()" title="liberar mesa">

      
     
      
    
      
      
      </td>
    </tr>

  <tr>
    <td colspan="3" align="right" bgcolor="#46BBD2"> <font color="#FFFFFF" size="+4">TOTAL $<? echo 
	$format_number = number_format($total_venta, 0, ',', '.'); ?></font></td>
    </tr>
</table>
    </div>
    </div>
</div>
</div>
</div>


</article></div>
                    </div>
                </div>
            </div>

    </div>
    <p class="art-page-footer">
        <span id="art-footnote-links"><a href="http://www.virtualsurchile.cl" target="_blank">Informatica Francisco Arias E.I.R.L.</a></span>
    </p>
</div>


</body></html>